Board index FlightGear Development Scenery

Ubuntu 64 bit TerraGear

Questions and discussion about enhancing and populating the FlightGear world.

Ubuntu 64 bit TerraGear

Postby SurferTim » Fri Jul 19, 2019 4:25 pm

I'm trying to help develop this project, but it is becoming increasingly difficult without being able to create scenery with Ubuntu 64 bit OS.
I helped fix the real time weather.
I'm fixing the runway gradients.
Somebody kick the Ubuntu guy in the butt and tell him people are counting on him.

Edit: ..or I could take up the X-Plane mantra and charge $20 per airport.
Fly low, fly slow, land on a dime. Twin Otter DHC6-300+.
SurferTim
 
Posts: 460
Joined: Sun Dec 09, 2018 5:49 pm
Location: Miramar Beach, FL
Callsign: Pirate
Version: 2019.2.0
OS: Ubuntu 18.04

Re: Ubuntu 64 bit TerraGear

Postby legoboyvdlp » Fri Jul 19, 2019 5:05 pm

Is compiling not working? What is the exact error?
User avatar
legoboyvdlp
 
Posts: 7164
Joined: Sat Jul 26, 2014 1:28 am
Callsign: YV-LEGO
Version: 2018.3.1
OS: Windows 10 HP

Re: Ubuntu 64 bit TerraGear

Postby wkitty42 » Fri Jul 19, 2019 5:34 pm

i compiled fine here the last time i did it but i had to backtrack from the newer *DAL stuff because this old OS...

the only real problem is the shape files and the download capability of getting them... i'm thinking the containerized terragear is really the way to go but i've not tried it lately...
"You get more air close to the ground," said Angalo. "I read that in a book. You get lots of air low down, and not much when you go up."
"Why not?" said Gurder.
"Dunno. It's frightened of heights, I guess."
User avatar
wkitty42
 
Posts: 5757
Joined: Fri Feb 20, 2015 3:46 pm
Location: central NC, USA
Callsign: wk42
Version: git next
OS: Kubuntu 14.04.5

Re: Ubuntu 64 bit TerraGear

Postby SurferTim » Fri Jul 19, 2019 6:03 pm

I tried the ./download_and_compile.sh script, but it fails at the data section. Stops here:
****************************************
**************** DATA ******************
****************************************
Fetching DATA with 'git clone https://git.code.sf.net/p/flightgear/fgdata'
Cloning into '.'...

I can run that as
git clone git://git.code.sf.net/p/flightgear/fgdata
but I don't think that will complete the install. :(

Edit: OH!! If I let it run long enough, it will continue downloading. It took several minutes before it continues.

Still failed.
****************************************
**************** DATA ******************
****************************************
Fetching DATA with 'git clone https://git.code.sf.net/p/flightgear/fgdata'
Cloning into '.'...
remote: Enumerating objects: 67653, done.
remote: Counting objects: 100% (67653/67653), done.
remote: Compressing objects: 100% (28627/28627), done.
error: RPC failed; curl 56 GnuTLS recv error (-110): The TLS connection was non-properly terminated.
fatal: The remote end hung up unexpectedly
fatal: early EOF
fatal: index-pack failed


Edit: So I tried
./download_and_compile.sh TERRAGEAR
and it did ok until
CMake Error at CMakeModules/FindSimGear.cmake:234 (message):
Oops, you have installed SimGear includes, however test compiling failed.
Try removing 'CMakeCache.txt' and reconfigure with 'cmake'.
Call Stack (most recent call first):
CMakeLists.txt:134 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/tim/terragear/build/terragear/CMakeFiles/CMakeOutput.log".
See also "/home/tim/terragear/build/terragear/CMakeFiles/CMakeError.log".
MAKE terragear
make: *** No targets specified and no makefile found. Stop.
INSTALL terragear
make: *** No rule to make target 'install'. Stop.
All optional package alternatives have found a matching package.

download_and_compile.sh has finished to work.
Fly low, fly slow, land on a dime. Twin Otter DHC6-300+.
SurferTim
 
Posts: 460
Joined: Sun Dec 09, 2018 5:49 pm
Location: Miramar Beach, FL
Callsign: Pirate
Version: 2019.2.0
OS: Ubuntu 18.04

Re: Ubuntu 64 bit TerraGear

Postby legoboyvdlp » Fri Jul 19, 2019 11:19 pm

In terms of shape files you can get CORINE and v0 shape files easily - you just won't have the custom scenery ones by Martin - thanks to those who tried to be greedy and abused the service...

TerraGear requires SimGear which is different to FlightGear (which also requires SimGear) - do you have it compiled?
User avatar
legoboyvdlp
 
Posts: 7164
Joined: Sat Jul 26, 2014 1:28 am
Callsign: YV-LEGO
Version: 2018.3.1
OS: Windows 10 HP

Re: Ubuntu 64 bit TerraGear

Postby SurferTim » Sat Jul 20, 2019 8:40 am

legoboyvdlp wrote in Fri Jul 19, 2019 11:19 pm:TerraGear requires SimGear which is different to FlightGear (which also requires SimGear) - do you have it compiled?

Thanks for the response. Yes, it appeared to compile ok. I get the feeling by the error message during the Terragear compile that the two versions of each I am downloading are not compatible.

BTW, how did the Jersey airport turn out?

Edit: Just to add, I checked the versions of each.
Simgear v2019.2.0
Terragear v2.1.0
Fly low, fly slow, land on a dime. Twin Otter DHC6-300+.
SurferTim
 
Posts: 460
Joined: Sun Dec 09, 2018 5:49 pm
Location: Miramar Beach, FL
Callsign: Pirate
Version: 2019.2.0
OS: Ubuntu 18.04

Re: Ubuntu 64 bit TerraGear

Postby SurferTim » Tue Jul 23, 2019 10:52 pm

I figured out my problem! On this computer, I have the daily release version of flightgear from
ppa:saiarcot895/flightgear-edge
It is v2019.2.0.

The TerraGear code requires SimGear 2018.3.1 or 2018.3.2. The SimGear version I have is 2019.2.0.

I have TerraGear running on my other Ubuntu box now.
Fly low, fly slow, land on a dime. Twin Otter DHC6-300+.
SurferTim
 
Posts: 460
Joined: Sun Dec 09, 2018 5:49 pm
Location: Miramar Beach, FL
Callsign: Pirate
Version: 2019.2.0
OS: Ubuntu 18.04

Re: Ubuntu 64 bit TerraGear

Postby legoboyvdlp » Tue Jul 23, 2019 11:40 pm

I think you have the wrong TerraGear, are you sure you are on the correct branch? The one you want is next -- which works with 2019.2 correctly here.
User avatar
legoboyvdlp
 
Posts: 7164
Joined: Sat Jul 26, 2014 1:28 am
Callsign: YV-LEGO
Version: 2018.3.1
OS: Windows 10 HP

Re: Ubuntu 64 bit TerraGear

Postby SurferTim » Tue Jul 23, 2019 11:47 pm

legoboyvdlp wrote in Tue Jul 23, 2019 11:40 pm:I think you have the wrong TerraGear, are you sure you are on the correct branch? The one you want is next -- which works with 2019.2 correctly here.

I'm not sure at all. That is the way it seems to be here.
The one I want is "next"? Here is the page I used:
http://wiki.flightgear.org/Scripted_Com ... ian/Ubuntu
I used the section:
Getting download_and_compile.sh the “right way”

Edit: This is from the compile, just before the error.
-- SimGear include directory: /home/tim/flightgear/fgmeta/install/simgear/include
-- found SimGear version: 2019.2.0 (needed 3.1.0 or higher)
Fly low, fly slow, land on a dime. Twin Otter DHC6-300+.
SurferTim
 
Posts: 460
Joined: Sun Dec 09, 2018 5:49 pm
Location: Miramar Beach, FL
Callsign: Pirate
Version: 2019.2.0
OS: Ubuntu 18.04

Re: Ubuntu 64 bit TerraGear

Postby xDraconian » Fri Aug 02, 2019 2:46 pm

For FGData... you can try the fgdata-ng-boilerplate.git.tar approach... refer to https://sourceforge.net/projects/flightgear/files/

Typical compile would be:
./download_and_compile.sh -s -j4 PLIB OSG SIMGEAR FGFS DATA TERRAGEAR

Scott
xDraconian
 
Posts: 240
Joined: Sun Jan 21, 2018 5:53 am
Version: Git
OS: Linux Mint


Return to Scenery

Who is online

Users browsing this forum: No registered users and 4 guests